
Katello - Bug #6739

bulk action "unregister content hosts" throws error @search_service search not defined

07/22/2014 05:12 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1122299 Red Hat JIRA:  

Pull request:    

Description

RuntimeError: @search_service search not defined

/home/thomasmckay/code/katello/app/controllers/katello/api/v2/api_controller.rb:49:in `item_search

'

/home/thomasmckay/code/katello/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:2

19:in `find_system_ids_by_search'

/home/thomasmckay/code/katello/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:1

98:in `find_systems'

/home/thomasmckay/code/katello/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:1

84:in `find_deletable_systems'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:531:in `block (3 levels) in _run__3767425233859936060__process_action__4323062264504917719__ca

llbacks'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:215:in `block in _conditional_callback_around_4210'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:326:in `around'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:310:in `_callback_around_2911'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:214:in `_conditional_callback_around_4210'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:482:in `block (2 levels) in _run__3767425233859936060__process_action__4323062264504917719__ca

llbacks'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:215:in `block in _conditional_callback_around_4209'

/home/thomasmckay/code/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:214:in `_conditional_callback_around_4209'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:415:in `block in _run__3767425233859936060__process_action__4323062264504917719__callbacks'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:215:in `block in _conditional_callback_around_4208'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activesupport-3.2.18/lib/active_support/callbacks

.rb:326:in `around'

History

#1 - 07/22/2014 05:12 PM - Thomas McKay

- Bugzilla link set to 1122299

#2 - 08/04/2014 11:00 PM - Eric Helms

- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes
#3 - 08/06/2014 04:41 PM - Brad Buckingham

- Status changed from New to Closed

- Assignee set to Brad Buckingham

Unable to reproduce this issue; therefore closing it.

Did encounter a couple of different issues while attempting to recreate it.  Those issues are tracked with : http://projects.theforeman.org/issues/6970

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
